import prisma from '../utilities/prisma'; // Import the global Prisma instance
import {Character} from '@prisma/client';
import CharacterService from "../services/character.service";

class CharacterRepository {
    async getByUserId(userId: number): Promise<Character[] | null> {
        try {
            return await prisma.character.findMany({
                where: {
                    userId,
                },
            });
        } catch (error: any) {
            // Handle error
            throw new Error(`Failed to get character by user ID: ${error.message}`);
        }
    }
}

export default new CharacterService;